/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}
curl --request DELETE \
--url https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}
Deletes one coupon of an advertiser. A coupon that is already deleted or under review cannot be deleted.
DELETE
/
2025-01
/
marketing-solutions
/
advertisers
/
{advertiser-id}
/
coupons
/
{id}
/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}
curl --request DELETE \
--url https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAuthorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Scopes
MarketingSolutions_Creative_Manage
Grants Manage access to the capabilities from the Creative domain, for MarketingSolutions applications
Path Parameters
The advertiser identifier.
The Coupon identifier to delete.
Response
204
The Coupon was deleted.
Was this page helpful?